Results 1 to 5 of 5

Thread: Compiz being ditched?

  1. #1
    Join Date
    Oct 2008
    Location
    ExodusHair<Čubura
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Compiz being ditched?

    Code:
    :~$ sudo apt dist-upgrade -s
    [sudo] password for ....: 
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Calculating upgrade... Done
    The following packages will be REMOVED:
      compiz compiz-gnome libmetacity1
    The following NEW packages will be installed:
      libmetacity3
    The following packages will be upgraded:
      metacity metacity-common
    2 upgraded, 1 newly installed, 3 to remove and 0 not upgraded.
    Remv compiz [1:0.9.14.1+20.10.20200427-0ubuntu2]
    Remv compiz-gnome [1:0.9.14.1+20.10.20200427-0ubuntu2]
    Inst metacity [1:3.36.1-1] (1:3.37.1-1 Ubuntu:20.10/groovy-proposed [amd64]) []
    Remv libmetacity1 [1:3.36.1-1] []
    Inst metacity-common [1:3.36.1-1] (1:3.37.1-1 Ubuntu:20.10/groovy-proposed [all]) []
    Inst libmetacity3 (1:3.37.1-1 Ubuntu:20.10/groovy-proposed [amd64])
    Conf metacity (1:3.37.1-1 Ubuntu:20.10/groovy-proposed [amd64])
    Conf metacity-common (1:3.37.1-1 Ubuntu:20.10/groovy-proposed [all])
    Conf libmetacity3 (1:3.37.1-1 Ubuntu:20.10/groovy-proposed [amd64])
    Maybe I should just wait for compiz to catch up...
    Last edited by zika; May 13th, 2020 at 05:50 AM.
    Ignota nulla curatio morbi.

  2. #2
    Join Date
    Mar 2010
    Beans
    7

    Re: Compiz being ditched?

    What do you mean by this? As far as I know it is still under active development, it hasn't been deprecated.
    As of today:
    The latest stable release of the Compiz 0.8 series is 0.8.8
    The latest stable release of the Compiz 0.9 series is 0.9.13.0

  3. #3
    Join Date
    Oct 2008
    Location
    ExodusHair<Čubura
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: Compiz being ditched?

    I'm just giving HU that at current state of 20.10 it wants to remove some parts of compiz in order to upgrade metacity. I know that Compiz and Metacity are alive and well, that is why I'm pointing to this.
    Code:
    :~$ apt policy metacity 
    metacity:
      Installed: 1:3.36.1-1
      Candidate: 1:3.37.1-1
      Version table:
         1:3.37.1-1 500
            500 http://us.archive.ubuntu.com/ubuntu devel-proposed/universe amd64 Packages
     *** 1:3.36.1-1 500
            500 http://us.archive.ubuntu.com/ubuntu devel/universe amd64 Packages
            100 /var/lib/dpkg/status
    :~$ apt policy compiz
    compiz:
      Installed: 1:0.9.14.1+20.10.20200427-0ubuntu2
      Candidate: 1:0.9.14.1+20.10.20200427-0ubuntu2
      Version table:
     *** 1:0.9.14.1+20.10.20200427-0ubuntu2 500
            500 http://us.archive.ubuntu.com/ubuntu devel-proposed/universe amd64 Packages
            100 /var/lib/dpkg/status
         1:0.9.14.1+20.10.20200427-0ubuntu1 500
            500 http://us.archive.ubuntu.com/ubuntu devel/universe amd64 Packages
    Last edited by zika; May 13th, 2020 at 05:50 PM.
    Ignota nulla curatio morbi.

  4. #4
    Join Date
    Jan 2013
    Location
    Riga, Latvia
    Beans
    131
    Distro
    Ubuntu Development Release

    Re: Compiz being ditched?

    Compiz needs rebuild against new metacity... It will happen.

    @vicsar, how did you get 0.9.13.0? Newest release is 0.9.14.1... See https://launchpad.net/compiz/+download.

  5. #5
    Join Date
    Oct 2008
    Location
    ExodusHair<Čubura
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: Compiz being ditched?

    Quote Originally Posted by muktupavels View Post
    Compiz needs rebuild against new metacity... It will happen.

    @vicsar, how did you get 0.9.13.0? Newest release is 0.9.14.1... See https://launchpad.net/compiz/+download.
    It will not keep me sleepless since I use i3 and similar...

    Update₁:
    Code:
    The following packages will be REMOVED:
      libmetacity1
    The following NEW packages will be installed:
      libmetacity3
    The following packages will be upgraded:
      compiz compiz-core compiz-gnome compiz-plugins-default libcompizconfig0 libdecoration0 metacity metacity-common
    8 upgraded, 1 newly installed, 1 to remove and 0 not upgraded.
    (Re)solved.
    Last edited by zika; May 15th, 2020 at 05:49 AM.
    Ignota nulla curatio morbi.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •